public void cutout(){
  background(0xFFFFFFFF);
  //background(173, 166, 157);
  stroke(0 );
  
  big(300, 4, 17);
  big(220, 1.5, 12);
  
  for(int i = 0; i<5;i++){
    small(height/4, 800, random(-200,200), random(-200,200));
    small(height/1.3, 100, random(-200,200), random(-200,200));
    small(height, 850, random(-200,400), random(-200,200));
  }   
}


void small(float y, float x, float num, float num2){
  float radius = 50;
  int sections = 20;
  println(width);
  t.penUp();  
  t.goToPoint(x+num, y+num2);
  t.forward(radius);
  t.right(90);
  t.penDown();
  
  var arcLen = 2*PI*radius/360;
  for (int i = 0; i < 360; i++){
    strokeWeight(4);
    t.forward(arcLen);
    t.right(1);
  }
  
  
  t.penUp();
  t.right(90);
  t.forward(radius);
  t.penDown();
  
  
  t.goToPoint(x+num, y+num2);
  for(int i = 0; i < sections; i++){
    strokeWeight(3);
    t.forward(radius);
    t.penUp();
    t.goToPoint(x+num, y+num2);
    t.right(360/sections);
    t.penDown();
  }
  
  t.setX(t.getX() );
  strokeWeight(4);
  fill(173, 166, 157);  
  ellipse(t.getX(), t.getY(), radius/4, radius/4);
  noFill();
}




void big(float radius, float num, int size){
  int sections = 20;
  
  t.penUp();  
  t.goToPoint(width/num, height/num);
  t.forward(radius);
  t.right(90);
  t.penDown();
  
  var arcLen = 2*PI*radius/360;
  for (int i = 0; i < 360; i++){
    strokeWeight(7);
    t.forward(arcLen);
    t.right(1);
  }
  
  
  t.penUp();
  t.right(90);
  t.forward(radius);
  t.penDown();
  
  
  t.goToPoint(width/num, height/num);
  for(int i = 0; i < sections-1; i++){
    strokeWeight(1);
    l = new LSystem(size,25,"Y", "cutOut");
    l.iterate(3);//2
    l.drawSystem(t);
    t.penUp();
    t.goToPoint(width/num, height/num);
    t.right(360/sections);
    t.penDown();
  }
  
  t.setX(t.getX() );
  strokeWeight(7);
  fill(173, 166, 157); 
  ellipse(t.getX(), t.getY(), radius/4, radius/4);
  noFill();
}
